/****************************************************************************
** ui.h extension file, included from the uic-generated form implementation.
**
** If you wish to add, delete or rename functions or slots use
** Qt Designer which will update this file, preserving your code. Create an
** init() function in place of a constructor, and a destroy() function in
** place of a destructor.
*****************************************************************************/
/***************************************************************************
 *   Copyright (C) 2004 by Reichert Bernard                                *
 *   valen16@trypill.org                                                   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


void MainDlg::init()
{
	//this is called when the application will start
    
	//Create a new tab widget in main dialog
	m_pMainTabWid= new QTabWidget( this, "MainTabWidget" );
	//Set size
	m_pMainTabWid->setGeometry( QRect( 10, 10, 700, 655  ) );
	//album creation tool
	m_albumWid = new AlbumWid(this,"AlbumWid");
	m_pMainTabWid->addTab(m_albumWid,"Create Album");
	//screenshot dialog
	m_screenshotWid = new ScreenshotWid(this,"ScreenshotWid");
	m_pMainTabWid->addTab(m_screenshotWid,"Take screenshots");
	//about dialog
	m_aboutWid = new AboutWid(this,"AboutWid");
	m_pMainTabWid->addTab(m_aboutWid,"About");
}


void MainDlg::onQuit()
{
    //on button quit clicked
    //close application
    close();
}


