/****************************************************************************
** Form interface generated from reading ui file '/home/valen16/documents/dev/kphotools/src/ScreenshotWid.ui'
**
** Created: Sat Jun 12 17:16:45 2004
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.0   edited Nov 24 13:47 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#ifndef SCREENSHOTWID_H
#define SCREENSHOTWID_H

#include <qvariant.h>
#include <qwidget.h>
#include <qfiledialog.h>
#include <qdir.h>
#include <qthread.h>
#include <qtimer.h>
#include "ImageButton.h"
#include "ScreenshotThrd.h"
#include "Cross.h"
#include "FetchWindowThrd.h"

class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QSpacerItem;
class QLCDNumber;
class QGroupBox;
class QLabel;
class QLineEdit;
class QPushButton;

class ScreenshotWid : public QWidget
{
    Q_OBJECT

public:
    ScreenshotWid( QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
    ~ScreenshotWid();

    QLCDNumber* m_lcdNumber;
    QGroupBox* m_grpFileInfo;
    QLabel* m_labelPattern;
    QLineEdit* m_txLocation;
    QLabel* m_labelDir;
    QLineEdit* m_txPattern;
    QPushButton* m_btLoca;
    QPushButton* m_btResetCounter;
    QGroupBox* m_grpFetchPart;
    QLabel* m_labelSeconds;
    QLineEdit* m_txTimeout;
    QLabel* m_labelMakeScreenshot;
    QPushButton* m_btPreview;
    QPushButton* m_btScreenpart;
    QPushButton* m_btScreen;
    QGroupBox* m_grpFetchComplete;
    QLabel* m_labelPushButtonandclick;
    QPushButton* m_btCaptWindow;

    virtual void init();
    virtual void destroy();
    virtual void setCross( int x, int y, bool redraw );
    virtual QString formatNumber( int n );
    virtual void onWindowFetched( int x, int y, int w, int h );

public slots:
    virtual void onSetLocation();
    virtual void onPreviewClicked();
    virtual void onPreview();
    virtual void onScreenshotTaken();
    virtual void onCaptScreen();
    virtual void onSetCross();
    virtual void onCaptPart();
    virtual void onCaptWindow();
    virtual void onImageClicked( int x, int y );
    virtual void onTimerEvent();

protected:

protected slots:
    virtual void languageChange();

private:
    QTimer* m_pTimer;
    Cross* m_cross;
    ImageButton* m_imgButton;
    ScreenshotThrd* m_screenThrd;
    int m_nCount;
    FetchWindowThrd* m_fetchWindowThrd;

};

#endif // SCREENSHOTWID_H
